% Script to compute and plot a family of periodic orbits

%param = 1.E-4 ; % parameter of system
param = 3.00653E-06 ; % parameter of system (Sun-Earth)
eqNum = 1 ;	% number of equilibrium point (set your own numbering scheme)
nFam  = 15;  	% number of desired periodic orbits in family

gam = (param/3)^(1/3) ; % estimate of distance between secondary and eq pt

Ax1  = 3.e-2*gam    ; % initial amplitude (1 of 2)
Ax2  = 2*Ax1        ; % initial amplitude (2 of 2)


[x0po,T] = poFamGet3BP(param,eqNum,Ax1,Ax2,nFam) ;


% plotting 

%RelTol = 3.e-14 ; AbsTol = 1.e-16; % high accuracy
%RelTol = 3.e-10 ; AbsTol = 1.e-12; % low  accuracy
 RelTol = 3.e-06 ; AbsTol = 1.e-09; % lowest accuracy

OPTIONS = odeset('RelTol',RelTol,'AbsTol',AbsTol);

for k = nFam:-1:1,
  x0 = x0po(k,:) ;
  tb = 0 ;
  tf = T(k)/2 ;
  [x,t] = trajGet3BP(x0,tb,tf,param,OPTIONS) ;
  plot(x(:,1),x(:,2),'k',x(:,1),-x(:,2),'k');
  pause(0.01) ;
  hold on
  axis equal
end
